LibreOffice: SpreadsheetViewPane Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
SpreadsheetViewPane Service Referencepublished

represents a single pane in a view of a spreadsheet document. More...

Inheritance diagram for SpreadsheetViewPane:

## Exported Interfaces
interface | com::sun::star::sheet::XViewPane
| allows to control which cells are shown in the view pane.
interface | com::sun::star::sheet::XCellRangeReferrer
| gives direct access to the cell range object for the visible range.
interface | com::sun::star::view::XControlAccess
| provides access to a control model's control for the view pane.

## Additional Inherited Members
Public Member Functions inherited from XViewPane
long | getFirstVisibleColumn ()
| returns the first column that is visible in the pane.
void | setFirstVisibleColumn ([in] long nFirstVisibleColumn)
| sets the first column that is visible in the pane.
long | getFirstVisibleRow ()
| returns the first row that is visible in the pane.
void | setFirstVisibleRow ([in] long nFirstVisibleRow)
| sets the first row that is visible in the pane.
com::sun::star::table::CellRangeAddress | getVisibleRange ()
| returns the address of the cell range that consists of the cells which are visible in the pane.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XCellRangeReferrer
com::sun::star::table::XCellRange | getReferredCells ()
| returns the cell range object that is represented.
Protected Member Functions inherited from XControlAccess
com::sun::star::awt::XControl | getControl ([in] com::sun::star::awt::XControlModel xModel) raises ( com::sun::star::container::NoSuchElementException )
| is called to get the control from the specified control model.

## Detailed Description

represents a single pane in a view of a spreadsheet document.

Developers Guide
  Spreadsheet Documents - View Panes

## Exported Interfaces

## ◆ com::sun::star::sheet::XCellRangeReferrer

interface com::sun::star::sheet::XCellRangeReferrer

gives direct access to the cell range object for the visible range.

## ◆ com::sun::star::sheet::XViewPane

interface com::sun::star::sheet::XViewPane

allows to control which cells are shown in the view pane.

## ◆ com::sun::star::view::XControlAccess

interface com::sun::star::view::XControlAccess
| optional

provides access to a control model's control for the view pane.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SpreadsheetViewPane.idl